# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2018-11-29 14:29
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ActivityEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Carreer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('career_pk', models.IntegerField(blank=True, null=True)),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Evaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=300, null=True)),
                ('percentage', models.IntegerField()),
                ('type_evaluation', models.CharField(choices=[('OB', 'Objetivo'), ('AT', 'Actividad'), ('AV', 'Avance')], default='OB', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Hito',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ponderation', models.IntegerField(blank=True, default=0)),
                ('final', models.IntegerField(default=0)),
                ('tech_pond', models.IntegerField(default=33.3)),
                ('mem_pond', models.IntegerField(default=33.3)),
                ('pres_pond', models.IntegerField(default=33.3)),
                ('total_technique_percentage', models.IntegerField(default=0)),
                ('total_presentation_percentage', models.IntegerField(default=0)),
                ('total_memory_percentage', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Memory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('item', models.CharField(blank=True, max_length=300, null=True)),
                ('percentage', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='MemoryEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ObjetiveEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='PresentationEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ProgressEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='ProjectEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(blank=True, default=django.utils.timezone.now)),
                ('status', models.CharField(choices=[('BO', 'Borrador'), ('FI', 'Finalizado')], default='BO', max_length=2)),
                ('comment_progress', models.TextField(max_length=300)),
                ('comment_activity', models.TextField(max_length=300)),
                ('comment_accomplishment', models.TextField(max_length=300)),
                ('objetive_qualification', models.FloatField(default=0)),
                ('activity_qualification', models.FloatField(default=0)),
                ('progress_qualification', models.FloatField(default=0)),
                ('session_qualification', models.FloatField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='ProjectHitoEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateTimeField(blank=True, default=django.utils.timezone.now)),
                ('status', models.CharField(choices=[('BO', 'Borrador'), ('FI', 'Finalizado')], default='BO', max_length=2)),
                ('technique_qualification', models.FloatField(default=0)),
                ('presentation_qualification', models.FloatField(default=0)),
                ('memory_qualification', models.FloatField(default=0)),
                ('hito_qualification', models.FloatField(default=0)),
                ('comment_progress', models.TextField(max_length=300)),
                ('comment_activity', models.TextField(max_length=300)),
                ('comment_accomplishment', models.TextField(max_length=300)),
            ],
        ),
        migrations.CreateModel(
            name='Rubric',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=60)),
                ('date', models.DateTimeField(blank=True, null=True)),
                ('desem', models.IntegerField(blank=True, null=True)),
                ('pond_desem', models.IntegerField(default=0)),
                ('carreer', models.IntegerField(blank=True, null=True)),
                ('subject', models.CharField(blank=True, max_length=50, null=True)),
                ('description', models.CharField(blank=True, max_length=300, null=True)),
                ('status', models.CharField(choices=[('AC', 'Active'), ('DC', 'Desactive')], default='DC', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Session',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Session_start',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('carreer', models.IntegerField()),
                ('beginning', models.DateField()),
                ('period', models.CharField(blank=True, max_length=2, null=True)),
                ('last_mod', models.DateTimeField(default=django.utils.timezone.now)),
            ],
        ),
        migrations.CreateModel(
            name='Student',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('api_user', models.IntegerField(blank=True, null=True)),
                ('rut', models.CharField(blank=True, max_length=30, null=True)),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('actual_subject', models.CharField(blank=True, max_length=50, null=True)),
                ('img', models.ImageField(default='../Static/img/profiles/image.png', upload_to='profilePic')),
                ('carreers', models.CharField(blank=True, max_length=30, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Subject',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('code', models.CharField(max_length=20)),
                ('carreer', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='SubTopic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=300, null=True)),
                ('percentage', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Technique',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('item', models.CharField(blank=True, max_length=300, null=True)),
                ('percentage', models.IntegerField()),
                ('hito', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Hito')),
            ],
        ),
        migrations.CreateModel(
            name='TechniqueEvaluation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nota', models.DecimalField(blank=True, decimal_places=1, max_digits=2, null=True)),
                ('project_hito_evaluation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.ProjectHitoEvaluation')),
                ('technique', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Technique')),
            ],
        ),
        migrations.CreateModel(
            name='Topic',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=300, null=True)),
                ('hito', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Hito')),
            ],
        ),
        migrations.CreateModel(
            name='UserProfile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('api_user', models.IntegerField(blank=True, null=True)),
                ('rut', models.CharField(blank=True, max_length=30, null=True)),
                ('max_projects', models.IntegerField(default=9)),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('img', models.ImageField(default='../Static/img/profiles/image.png', upload_to='profilePic')),
                ('user_type', models.CharField(choices=[('AD', 'Administrador'), ('IN', 'Acad\xe9mico'), ('EE', 'Encargado de Empresa')], default='AC', max_length=2)),
                ('user', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Week',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('topic', models.CharField(blank=True, max_length=200, null=True)),
                ('total_objetive_percentage', models.IntegerField(default=0)),
                ('total_progress_percentage', models.IntegerField(default=0)),
                ('total_activity_percentage', models.IntegerField(default=0)),
                ('session', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='week', to='core.Session')),
            ],
        ),
        migrations.AddField(
            model_name='subtopic',
            name='topic',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Topic'),
        ),
    ]
